[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.ConsoleApplication

Is the application a console application or not

## Declaration

Source position: custapp.pp line 74

`public property TCustomApplication.ConsoleApplication: Boolean read GetConsoleApplication;`

## Description

ConsoleApplication returns True if the application is compiled as a console application (the default) or False if not. The result of this property is determined at compile-time by the settings of the compiler: it returns the value of the IsConsole constant.

## See also

IsConsole

The latest version of this document can be found at lazarus-ccr.sourceforge.net .